using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class LobbyMonitorPacket : Packet
    {
        public uint Video_id { get; set; } = 0;

        public LobbyMonitorPacket(uint video_id)
        {
            Video_id = video_id;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write(Video_id);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x19, 0x0F, PacketFlags.None);
        }

        #endregion
    }
}